The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.
History of vulnerabilities analyzed by Vigil@nce:

vulnerability note CVE-2013-3479

WordPress ShareThis: Cross Site Request Forgery

Synthesis of the vulnerability

An attacker can trigger a Cross Site Request Forgery of WordPress ShareThis, in order to force the victim to perform operations.
Impacted products: WordPress Plugins ~ not comprehensive.
Severity: 2/4.
Consequences: user access/rights.
Provenance: document.
Creation date: 05/09/2013.
Identifiers: BID-62154, CVE-2013-3479, VIGILANCE-VUL-13354.

Description of the vulnerability

The ShareThis plugin is used to share pages on social networks.

However, the origin of queries is not checked. They can for example originate from an image included in an HTML document.

An attacker can therefore trigger a Cross Site Request Forgery of WordPress ShareThis, in order to force the victim to perform operations.
Full Vigil@nce bulletin... (Free trial)

vulnerability alert CVE-2013-5675

Symantec Endpoint Protection: uninstalling without password

Synthesis of the vulnerability

A local administrator, who does not know the uninstallation password, can still uninstall the Symantec Endpoint Protection product.
Impacted products: SEP.
Severity: 1/4.
Consequences: denial of service on service.
Provenance: user shell.
Creation date: 05/09/2013.
Identifiers: CVE-2013-5675, VIGILANCE-VUL-13351.

Description of the vulnerability

During its installation, the Symantec Endpoint Protection product asks a password, which will be required to uninstall it. An administrator thus cannot uninstall this software without this password. This password is stored in the registry (HKLM\SOFTWARE\Symantec\Symantec Endpoint Protection\SMC\SmcInstData).

However, an administrator can revoke reading permissions on SMC, in order to trigger an error in the uninstallation process. When this error occurs, Symantec Endpoint Protection accepts to be uninstalled without requiring a password.

A local administrator, who does not know the uninstallation password, can therefore still uninstall the Symantec Endpoint Protection product.
Full Vigil@nce bulletin... (Free trial)

vulnerability 13350

Drupal: inserting text/links in comments

Synthesis of the vulnerability

An attacker can create a comment using a hidden CSS selector, in order for example to add a link pointing from the Drupal site to his site.
Impacted products: Drupal Core.
Severity: 2/4.
Consequences: data creation/edition.
Provenance: internet client.
Creation date: 05/09/2013.
Identifiers: BID-62174, PSA-2013-001, VIGILANCE-VUL-13350.

Description of the vulnerability

The Drupal service allows the usage of CSS selectors in partial-HTML text.

However, by design, these selectors can be used to hide a text area.

An attacker can therefore create a comment using a hidden CSS selector, in order for example to add a link pointing from the Drupal site to his site. So, the attacker web site will gain a better ranking in search engines.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability note CVE-2013-4379

Drupal Make Meeting Scheduler: access to polls

Synthesis of the vulnerability

An attacker can use a direct url, in order to access to votes of Drupal Make Meeting Scheduler.
Impacted products: Drupal Modules ~ not comprehensive.
Severity: 2/4.
Consequences: data reading, data creation/edition.
Provenance: internet client.
Creation date: 05/09/2013.
Identifiers: BID-62161, CVE-2013-4379, DRUPAL-SA-CONTRIB-2013-073, VIGILANCE-VUL-13349.

Description of the vulnerability

The Drupal Make Meeting Scheduler module provides a vote management feature.

A anonymous user can read the subject, and vote. However, using the node number, users can access to all votes.

An attacker can therefore use a direct url, in order to access to votes of Drupal Make Meeting Scheduler.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability bulletin CVE-2013-4300

Linux kernel: privilege escalation via SCM_RIGHTS

Synthesis of the vulnerability

A local attacker can use SCM_RIGHTS to spoof a pid, in order to escalate his privileges on the Linux kernel.
Impacted products: Linux.
Severity: 2/4.
Consequences: administrator access/rights.
Provenance: document.
Creation date: 04/09/2013.
Identifiers: CVE-2013-4300, VIGILANCE-VUL-13348.

Description of the vulnerability

A Unix or NetLink socket can use the SCM_CREDENTIALS message, in order to obtain information (pid, uid, gid) about the client process. A service can thus authenticate the connected client.

The scm_check_creds() function of the net/core/scm.c file checks credentials. However, the check is not performed on the current Name Space.

A local attacker can therefore use SCM_RIGHTS to spoof a pid, in order to escalate his privileges on the Linux kernel.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability announce CVE-2013-4320 CVE-2013-4321

TYPO3: two vulnerabilities of FAL

Synthesis of the vulnerability

An attacker can use several vulnerabilities of TYPO3.
Impacted products: TYPO3 Core.
Severity: 3/4.
Consequences: administrator access/rights, privileged access/rights, data reading.
Provenance: user account.
Number of vulnerabilities in this bulletin: 2.
Creation date: 04/09/2013.
Identifiers: BID-62255, BID-62257, CVE-2013-4320, CVE-2013-4321, TYPO3-CORE-SA-2013-003, VIGILANCE-VUL-13347.

Description of the vulnerability

Several vulnerabilities were announced in TYPO3.

An attacker can bypass access restrictions, in order to create or read files located outside the document root. [severity:3/4; BID-62255, CVE-2013-4320]

An editor can use a special character, to create a PHP file, in order to execute PHP code in the context of the site. [severity:3/4; BID-62257, CVE-2013-4321]
Full Vigil@nce bulletin... (Free trial)

computer vulnerability alert 13346

WordPress NextGEN Smooth Gallery: Cross Site Scripting

Synthesis of the vulnerability

An attacker can trigger a Cross Site Scripting of WordPress NextGEN Smooth Gallery, in order to execute JavaScript code in the context of the web site.
Impacted products: WordPress Plugins ~ not comprehensive.
Severity: 2/4.
Consequences: client access/rights.
Provenance: document.
Creation date: 04/09/2013.
Identifiers: VIGILANCE-VUL-13346.

Description of the vulnerability

The WordPress NextGEN Smooth Gallery plugin displays images.

However, it does not filter received data before inserting them in generated HTML documents.

An attacker can therefore trigger a Cross Site Scripting of WordPress NextGEN Smooth Gallery, in order to execute JavaScript code in the context of the web site.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability CVE-2013-5470

Cisco Secure ACS: denial of service via TACACS+

Synthesis of the vulnerability

An attacker can send malformed TCP packets to Cisco Secure ACS configured for TACACS+, in order to trigger a denial of service.
Impacted products: Secure ACS.
Severity: 2/4.
Consequences: denial of service on service.
Provenance: intranet client.
Creation date: 04/09/2013.
Identifiers: BID-62145, CSCuh12488, CVE-2013-5470, VIGILANCE-VUL-13345.

Description of the vulnerability

An attacker can send malformed TCP packets to Cisco Secure ACS configured for TACACS+, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

vulnerability note CVE-2013-0736

WordPress Mingle Forum: Cross Site Request Forgery

Synthesis of the vulnerability

An attacker can trigger a Cross Site Request Forgery of WordPress Mingle Forum, in order to force the victim to perform operations.
Impacted products: WordPress Plugins ~ not comprehensive.
Severity: 2/4.
Consequences: user access/rights.
Provenance: document.
Creation date: 04/09/2013.
Identifiers: BID-62133, CVE-2013-0736, VIGILANCE-VUL-13344.

Description of the vulnerability

The WordPress Mingle Forum plugin offers forum features.

However, the origin of queries is not checked. They can for example originate from an image included in an HTML document.

An attacker can therefore trigger a Cross Site Request Forgery of WordPress Mingle Forum, in order to force the victim to perform operations.
Full Vigil@nce bulletin... (Free trial)

vulnerability bulletin CVE-2012-5990

Cisco Prime NCS, WCS: Cross Site Scripting of Login Page

Synthesis of the vulnerability

An attacker can trigger a Cross Site Scripting in the Login Page of Cisco Prime NCS/WCS, in order to execute JavaScript code in the context of the web site.
Impacted products: Prime Infrastructure, Prime Network Control Systems.
Severity: 2/4.
Consequences: client access/rights.
Provenance: document.
Creation date: 04/09/2013.
Identifiers: BID-62143, CSCud18375, CVE-2012-5990, VIGILANCE-VUL-13343, VU#830316.

Description of the vulnerability

The Cisco Prime Network Control System and Wireless Control System products use an authentication page.

However, it does not filter received data before inserting them in generated HTML documents.

An attacker can therefore trigger a Cross Site Scripting in the Login Page of Cisco Prime NCS/WCS, in order to execute JavaScript code in the context of the web site.
Full Vigil@nce bulletin... (Free trial)

Previous page   Next page

Direct access to page 1 21 41 61 81 101 121 141 161 181 201 221 241 261 281 301 321 341 361 381 401 421 441 461 481 501 521 541 561 581 601 621 641 661 681 701 721 741 761 781 801 821 841 861 881 901 921 941 961 981 1001 1021 1041 1061 1081 1101 1121 1141 1161 1181 1201 1221 1241 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1281 1301 1321 1341 1361 1381 1401 1421 1441 1461 1481 1501 1521 1541 1561 1581 1601 1621 1641 1661 1681 1701 1721 1741 1761 1781 1801 1821 1841 1861 1881 1901 1921 1941 1961 1981 2001 2021 2041 2061 2081 2101 2121 2141 2161 2181 2201 2221 2241 2261 2281 2301 2321 2341 2361 2381 2401 2421 2441 2461 2481 2501 2521 2541 2561 2581 2601 2621 2641 2661 2681 2701 2721 2741 2761 2781 2801 2821 2841 2851